<?php

namespace App\Enums;

use App\Traits\EnumToArray;

enum WalletTransactionTypeEnum: string
{
    use EnumToArray;

    case Deposit = 'deposit';
    case Withdraw = 'withdraw';
    case Block = 'block';
    case Unblock = 'unblock';
    case Refund = 'refund';
    case Fee = 'fee';
    case Adjustment = 'adjustment';

}
